%define name	sylpheed
%define major	2.6

Summary:	A GTK+2 based, lightweight, and fast e-mail client
Name:		sylpheed
Version:	%{major}.0
Release:	%mkrel 1
Group:		Networking/Mail
Source0:	http://sylpheed.sraoss.jp/sylpheed/v%{major}/sylpheed-%{version}.tar.bz2
Source1:	http://sylpheed.sraoss.jp/sylpheed/v%{major}/sylpheed-%{version}.tar.bz2.asc
License:	GPL
URL:		http://sylpheed.sraoss.jp/en/
Packager:	KDulcimer <kdulcimer@gmail.com>

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	desktop-file-utils
BuildRequires:	gtk+2-devel
BuildRequires:	libgpgme-devel >= 0.4.5
BuildRequires:	ImageMagick
BuildRequires:	libpilot-link-devel
BuildRequires:	openldap-devel
BuildRequires:	libgtkspell-devel

Provides:	sylpheed-main
Provides:	sylpheed2

Obsoletes:	sylpheed2

%description
This program is an X based fast e-mail client which has features
(or go for it :-)) like:
	o user-friendly and intuitive interface
	o integrated NetNews client (partially implemented)
	o ability of keyboard-only operation
	o Mew/Wanderlust-like key bind
	o multipart MIME
	o built-in image view
	o external editor support
	o unlimited multiple account handling
	o message queueing
	o filtering
	o XML-based address book

%package i10n
Summary:    	Internationalisation files for %{name}
Group:      	%{group}
Requires:   	%{name}

%description i10n
Internationalisation files for %{name}

%prep
%setup -q -n %{name}-%{version}

%build 
%configure2_5x	--enable-gpgme \
		--enable-jpilot \
		--enable-ssl \
		--enable-ldap \
		--enable-ipv6

%make

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}

mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir}}
convert sylpheed.png -geometry 48x48 %{buildroot}%{_liconsdir}/%{name}.png
convert sylpheed.png -geometry 32x32 %{buildroot}%{_iconsdir}/%{name}.png
convert sylpheed.png -geometry 16x16 %{buildroot}%{_miconsdir}/%{name}.png

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
install -m 644 sylpheed.desktop $RPM_BUILD_ROOT%{_datadir}/applications

desktop-file-install --vendor="" \
--remove-category="Application" \
--add-category="GTK" \
--add-category="X-MandrivaLinux-Internet-Mail" \
--dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog* NEWS README* INSTALL* TODO*
%dir %{_datadir}/%{name}/*
%dir %{_datadir}/%{name}/*/*
%doc %dir %{_datadir}/%{name} 
%doc %dir %{_datadir}/%{name}/manual/*/*
%doc %{_datadir}/%{name}/faq/*/*.html  
%{_bindir}/* 
%{_datadir}/applications/*.desktop
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/pixmaps/%{name}.png

%files i10n
%defattr(-,root,root,-)
%{_datadir}/locale/*

%changelog
* Sun Jan 04 2009 KDulcimer <kdulcimer@gmail.com> 2.6.0-1tinyme2008
- 2.6.0
- create i10n package

* Sat Jun 28 2008 KDulcimer <kdulcimer@gmail.com> 2.5.0-1tinyme2008
- 2.5.0

* Sat Jun 07 2008 KDulcimer <kdulcimer@gmail.com> 2.5.0rc2-1tinyme2008
- 2.5.0rc2

* Fri Jan 04 2008 KDulcimer <kdulcimer@gmail.com> 2.4.8-1tinyme2008
- 2.4.8
- BuildRequires: libgtkspell-devel

* Wed Jul 25 2007 Texstar <texstar@gmail.com> 2.4.4-1pclos2007
- 2.4.4

* Thu May 24 2007 Texstar <texstar@gmail.com> .2.4.2-1pclos2007
- import into pclos 2007 original spec file from mdv
